Bug 1336439 - [RFE] Set Network Interface Type when creating new VMs in RHEV Compute Resource
Summary: [RFE] Set Network Interface Type when creating new VMs in RHEV Compute Resource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.1.8
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.6.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-16 13:11 UTC by Vladimir Vasilev
Modified: 2019-10-22 12:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:46:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23975 'Normal' 'Closed' 'Set Network Interface Type when creating new VMs in RHEV Compute Resource' 2019-11-11 18:12:46 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:01 UTC

Description Vladimir Vasilev 2016-05-16 13:11:21 UTC
Description of problem:
When creating new VMs in RHEV Compute Resource by default the network interface type is "virtio". It will be nice if one can select which interface to use directly in Satellite.

Version-Release number of selected component (if applicable):
6.1.X

How reproducible:
100%

Steps to Reproduce:
1. Create new VM from Satellite to RHEV Compute Resource
2. Check the Network Interface Type in RHEV

Actual results:
Automatically set to "virtio"

Expected results:
Be able to select different ones (virtio, rtl8139, e1000)

Additional info:

Comment 1 Shira Maximov 2018-06-18 11:32:18 UTC
Created redmine issue http://projects.theforeman.org/issues/23975 from this bug

Comment 2 pm-sat@redhat.com 2018-07-10 16:01:29 UTC
Upstream bug assigned to mshira@redhat.com

Comment 3 pm-sat@redhat.com 2018-07-10 16:01:32 UTC
Upstream bug assigned to mshira@redhat.com

Comment 4 pm-sat@redhat.com 2018-07-20 14:01:21 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23975 has been resolved.

Comment 7 Lukáš Hellebrandt 2019-01-03 15:11:53 UTC
FailedQA with Sat 6.5 snap 9.

This mostly works. However, for passthrough type, the vNIC of type passthrough is not in the list so I can't select it. (And when I select vNIC of type!=passthrough, it fails correctly because "Cannot add Interface. The network interface type doesn't match the profile. Virtual machine interface of type 'PCI Passthrough' should have 'Passthrough' profile and vice versa.").

Comment 8 Bryan Kearney 2019-01-07 21:18:34 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/23975 has been resolved.

Comment 9 Zach Huntington-Meath 2019-01-08 15:22:38 UTC
Shira, do you mind looking at this BZ again? It won't go back to assigned because of the connected redmine that is closed.

Comment 10 Shira Maximov 2019-01-08 16:10:02 UTC
Lukas, AFAIK in order to have a profile that supports PCI Passthrough you must enable it in the ovirt host:https://www.ovirt.org/documentation/install-guide/appe-Configuring_a_Host_for_PCI_Passthrough.html

Did you configure the host to support PCI Passthrough? If yes, are you able to select the vnic from ovirt?

Comment 11 Lukáš Hellebrandt 2019-01-30 13:52:07 UTC
I have a passthrough vNIC profile in RHEV. I can create a VM with this profile through RHEV.

However, I can't select vNIC in Satellite. Therefore, I can't select vNIC required to use network of type passthrough, as the cited error message says. In steps:

1) Hosts -> Create Host
2) Fill what needs to be filled
3) In Interfaces tab, create an interface of type Passthrough by selecting some Network and setting the Interface Type to "passthrough"
4) Submit

Result: Failure and message: "Cannot add Interface. The network interface type doesn't match the profile. Virtual machine interface of type 'PCI Passthrough' should have 'Passthrough' profile and vice versa."

Comment 13 orabin 2019-02-24 13:32:37 UTC
Can this be related to: https://bugzilla.redhat.com/show_bug.cgi?id=1679555 ?

Comment 14 Lukáš Hellebrandt 2019-02-25 12:27:29 UTC
Ori, I think this bug was reproduced before bug 1679555 occured.

Comment 22 Lukáš Hellebrandt 2019-07-30 12:48:40 UTC
Verified with Sat 6.6 snap 13.

Successfully created a VM using steps in comment 11.

Comment 24 errata-xmlrpc 2019-10-22 12:46:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.